SPI\_getnspname

|        SPI\_getnspname        |                                |                                 |                  |                                        |
|:-----------------------------:|--------------------------------|---------------------------------|------------------|----------------------------------------|
|[Prev](spi-spi-getrelname.html)|[Up](spi-interface-support.html)|47.2. Interface Support Functions|[Home](index.html)| [Next](spi-spi-result-code-string.html)|

---

[]()

## SPI\_getnspname

SPI\_getnspname — return the namespace of the specified relation

## Synopsis

```
char * SPI_getnspname(Relation rel)

```

## Description

`SPI_getnspname` returns a copy of the name of the namespace that the specified `Relation` belongs to. This is equivalent to the relation's schema. You should `pfree` the return value of this function when you are finished with it.

## Arguments

`Relation *`rel`*`

 input relation

## Return Value

 The name of the specified relation's namespace.

---

|[Prev](spi-spi-getrelname.html)|[Up](spi-interface-support.html)| [Next](spi-spi-result-code-string.html)|
|:------------------------------|:------------------------------:|---------------------------------------:|
|        SPI\_getrelname        |       [Home](index.html)       |        SPI\_result\_code\_string       |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>